Bug 26194 - Update request: nvidia390-390.132-2.mga7.nonfree
Summary: Update request: nvidia390-390.132-2.mga7.nonfree
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks: 26202
  Show dependency treegraph
 
Reported: 2020-02-13 18:32 CET by Thomas Backlund
Modified: 2020-02-18 15:07 CET (History)
5 users (show)

See Also:
Source RPM: nvidia390
CVE:
Status comment:


Attachments

Description Thomas Backlund 2020-02-13 18:32:01 CET
added support for kernel 5.5 series, the same fixes have been in Cauldron for ~4 days without reported issues so far...


SRPM:
nvidia390-390.132-2.mga7.nonfree.src.rpm


i586:
dkms-nvidia390-390.132-2.mga7.nonfree.i586.rpm
nvidia390-cuda-opencl-390.132-2.mga7.nonfree.i586.rpm
nvidia390-devel-390.132-2.mga7.nonfree.i586.rpm
nvidia390-doc-html-390.132-2.mga7.nonfree.i586.rpm
x11-driver-video-nvidia390-390.132-2.mga7.nonfree.i586.rpm


x86_64:
dkms-nvidia390-390.132-2.mga7.nonfree.x86_64.rpm
nvidia390-cuda-opencl-390.132-2.mga7.nonfree.x86_64.rpm
nvidia390-devel-390.132-2.mga7.nonfree.x86_64.rpm
nvidia390-doc-html-390.132-2.mga7.nonfree.x86_64.rpm
x11-driver-video-nvidia390-390.132-2.mga7.nonfree.x86_64.rpm
Comment 1 Len Lawrence 2020-02-14 13:49:27 CET
Mageia7
5.4.17-desktop-1.mga7 x86_64
Intel Core i7-2600
NVIDIA GF114 [GeForce GTX 555] 

Mate desktop on 3K monitor running fine with nvidia 390.132-2
vlc, glmark2, teapot, glxspheres OK as well.

CC: (none) => tarazed25

Comment 2 Brian Rockwell 2020-02-14 14:38:49 CET
MGA7
5.4.17
GNOME
AMD X3, GT730 (390)


- dkms-nvidia390-390.132-2.mga7.nonfree.x86_64
- nvidia390-cuda-opencl-390.132-2.mga7.nonfree.x86_64
- x11-driver-video-nvidia390-390.132-2.mga7.nonfree.x86_64


A full day of usage across the board of services, etc.  

Working as designed

CC: (none) => brtians1
Whiteboard: (none) => MGA7-64-OK

Comment 3 Thomas Andrews 2020-02-14 17:36:32 CET
Validating this one.

CC: (none) => andrewsfarm, sysadmin-bugs
Keywords: (none) => validated_update

Comment 4 ben mcmonagle 2020-02-15 00:08:08 CET
Mga7 64 Plasma system

Asus U31S

Linux localhost 5.4.17-desktop-1.mga7 #1 SMP Sat Feb 1 21:57:04 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
Card:NVIDIA GeForce 420 to GeForce 630: NVIDIA Corporation|GF119M [GeForce GT 520M] [DISPLAY_VGA] (rev: a1)

urpmi dkms-nvidia390 x11-driver-video-nvidia390 nvidia390-doc-html nvidia390-devel nvidia390-cuda-opencl 
     
installing nvidia390-devel-390.132-2.mga7.nonfree.x86_64.rpm nvidia390-cuda-opencl-390.132-2.mga7.nonfree.x86_64.rpm x11-driver-video-nvidia390-390.132-2.mga7.nonfree.x86_64.rpm nvidia390-doc-html-390.132-2.mga7.nonfree.x86_64.rpm dkms-nvidia390-390.132-2.mga7.nonfree.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     ##################################################################################################################
      1/5: dkms-nvidia390        ##################################################################################################################

Creating symlink /var/lib/dkms/nvidia390/390.132-2.mga7.nonfree/source ->
                 /usr/src/nvidia390-390.132-2.mga7.nonfree

DKMS: add Completed.

Preparing kernel 5.4.17-desktop-1.mga7 for module build:
(This is not compiling a kernel, just preparing kernel symbols)
Storing current .config to be restored when complete
Running Generic preparation routine
make mrproper....(bad exit status: 2)
using /proc/config.gz
make oldconfig....(bad exit status: 2)
make prepare....(bad exit status: 2)

Building module:
cleaning build area....
'make' -j4 SYSSRC=/lib/modules/5.4.17-desktop-1.mga7/build modules............................
cleaning build area....
cleaning kernel tree (make mrproper)....(bad exit status: 2)

DKMS: build Completed.

nvidia390.ko.xz:
 - Installation
   - Installing to /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/

nvidia-modeset.ko.xz:
 - Installation
   - Installing to /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/

nvidia-drm.ko.xz:
 - Installation
   - Installing to /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/

nvidia-uvm.ko.xz:
 - Installation
   - Installing to /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/

depmod..........

DKMS: install Completed.

      2/5: nvidia390-doc-html    ##################################################################################################################
      3/5: x11-driver-video-nvidia390
                                 ##################################################################################################################
      4/5: nvidia390-cuda-opencl ##################################################################################################################
      5/5: nvidia390-devel       ##################################################################################################################
      1/5: removing nvidia390-devel-390.132-1.mga7.nonfree.x86_64
                                 ##################################################################################################################
      2/5: removing x11-driver-video-nvidia390-390.132-1.mga7.nonfree.x86_64
                                 ##################################################################################################################
      3/5: removing nvidia390-cuda-opencl-390.132-1.mga7.nonfree.x86_64
                                 ##################################################################################################################

-------- Uninstall Beginning --------
Module:  nvidia390
Version: 390.132-1.mga7.nonfree
Kernel:  5.3.11-desktop-1.mga7 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia390.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.3.11-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

nvidia-modeset.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.3.11-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

nvidia-drm.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.3.11-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

nvidia-uvm.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.3.11-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
depmod...........

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  nvidia390
Version: 390.132-1.mga7.nonfree
Kernel:  5.4.17-desktop-1.mga7 (x86_64)
-------------------------------------

Status: This module version was INACTIVE for this kernel.
depmod.....

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  nvidia390
Version: 390.132-1.mga7.nonfree
Kernel:  5.4.12-desktop-1.mga7 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia390.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.12-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-modeset.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.12-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-drm.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.12-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-uvm.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.12-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod.....

DKMS: uninstall Completed.

------------------------------
Deleting module version: 390.132-1.mga7.nonfree
completely from the DKMS tree.
------------------------------
Done.
      4/5: removing dkms-nvidia390-390.132-1.mga7.nonfree.x86_64
                                 ##################################################################################################################
      5/5: removing nvidia390-doc-html-390.132-1.mga7.nonfree.x86_64
                                 ##################################################################################################################

reboot

desktop presented  - ok

firefox ok
dragon player - ok

CC: (none) => westel

Thomas Backlund 2020-02-16 19:51:53 CET

Blocks: (none) => 26202

Thomas Backlund 2020-02-18 14:30:48 CET

Keywords: (none) => advisory

Comment 5 Mageia Robot 2020-02-18 15:07:18 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2020-0054.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.